package com.wd.workoffice.ui.adapter;


import android.view.View;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.FactoryDetailBean;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class UserDataAdd3Adapter extends BaseQuickAdapter<FactoryDetailBean.SteelFurnListBean, BaseViewHolder> {

    public UserDataAdd3Adapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, FactoryDetailBean.SteelFurnListBean item) {
        View content = helper.getView(R.id.ll_content);
        helper.setOnClickListener(R.id.rl_title, new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (content.getVisibility() == View.VISIBLE) {
                    content.setVisibility(View.GONE);
                } else {
                    content.setVisibility(View.VISIBLE);
                }
            }
        });
        helper.setText(R.id.tv_name, item.getSteelmakingFurnaceCode());
        helper.setText(R.id.tv_content1, item.getType());
        helper.setText(R.id.tv_content2, item.getCapacity());
    }
}

